aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-x.ci/before_script.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/.ci/before_script.sh b/.ci/before_script.sh
index c1c2659562..026ab0afc9 100755
--- a/.ci/before_script.sh
+++ b/.ci/before_script.sh
@@ -10,6 +10,16 @@ fi
CI_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
source "${CI_DIR}/common/build.sh"
+# Test some of the configuration variables.
+if [[ -n "${GCOV}" ]] && [[ ! $(type -P "${GCOV}") ]]; then
+ echo "\$GCOV: '${GCOV}' is not executable."
+ exit 1
+fi
+if [[ -n "${LLVM_SYMBOLIZER}" ]] && [[ ! $(type -P "${LLVM_SYMBOLIZER}") ]]; then
+ echo "\$LLVM_SYMBOLIZER: '${LLVM_SYMBOLIZER}' is not executable."
+ exit 1
+fi
+
if [[ "${TRAVIS_OS_NAME}" == osx ]]; then
# Adds user to a dummy group.
# That allows to test changing the group of the file by `os_fchown`.